set -x
# clean
rm a.out

# compile
src_file=main.c
petsc_include_path=/opt/petsc/debug/include/
petsc_lib_path=/opt/petsc/debug/lib/
mpiicc $src_file -I $petsc_include_path -L $petsc_lib_path -lpetsc -Wl,-rpath $petsc_lib_path

# run
mpirun -np 2 ./a.out